Index: /trunk/src/VBox/Devices/Graphics/BIOS/VBoxVgaBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/Graphics/BIOS/VBoxVgaBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/Graphics/BIOS/VBoxVgaBiosAlternative.asm	(revision 50159)
@@ -1643,5 +1643,5 @@
     movzx bx, ch                              ; 0f b6 dd
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     jne short 00b5ah                          ; 75 2d
     mov dx, ax                                ; 89 c2
@@ -1659,5 +1659,5 @@
     mov dx, cx                                ; 89 ca
     add dx, ax                                ; 01 c2
-    mov ax, word [bx+04836h]                  ; 8b 87 36 48
+    mov ax, word [bx+04833h]                  ; 8b 87 33 48
     call 02f93h                               ; e8 3c 24
     mov word [ss:si], ax                      ; 36 89 04
@@ -1725,16 +1725,16 @@
     mov dx, 0010ch                            ; ba 0c 01
     jmp short 00b91h                          ; eb bf
-    mov ax, 05db2h                            ; b8 b2 5d
+    mov ax, 05dafh                            ; b8 af 5d
     mov dx, 0c000h                            ; ba 00 c0
     jmp short 00b96h                          ; eb bc
-    mov ax, 055b2h                            ; b8 b2 55
+    mov ax, 055afh                            ; b8 af 55
     jmp short 00bd5h                          ; eb f6
-    mov ax, 059b2h                            ; b8 b2 59
+    mov ax, 059afh                            ; b8 af 59
     jmp short 00bd5h                          ; eb f1
-    mov ax, 07bb2h                            ; b8 b2 7b
+    mov ax, 07bafh                            ; b8 af 7b
     jmp short 00bd5h                          ; eb ec
-    mov ax, 06bb2h                            ; b8 b2 6b
+    mov ax, 06bafh                            ; b8 af 6b
     jmp short 00bd5h                          ; eb e7
-    mov ax, 07cdfh                            ; b8 df 7c
+    mov ax, 07cdch                            ; b8 dc 7c
     jmp short 00bd5h                          ; eb e2
     jmp short 00bc4h                          ; eb cf
@@ -1758,7 +1758,7 @@
     movzx bx, al                              ; 0f b6 d8
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     je near 00d27h                            ; 0f 84 fe 00
-    mov bl, byte [bx+04834h]                  ; 8a 9f 34 48
+    mov bl, byte [bx+04831h]                  ; 8a 9f 31 48
     cmp bl, 003h                              ; 80 fb 03
     jc short 00c43h                           ; 72 11
@@ -1819,5 +1819,5 @@
     movzx bx, cl                              ; 0f b6 d9
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04835h], 002h                ; 80 bf 35 48 02
+    cmp byte [bx+04832h], 002h                ; 80 bf 32 48 02
     jne short 00cebh                          ; 75 1b
     mov cx, si                                ; 89 f1
@@ -2120,5 +2120,5 @@
     mov si, bx                                ; 89 de
     sal si, 003h                              ; c1 e6 03
-    cmp byte [si+04833h], 000h                ; 80 bc 33 48 00
+    cmp byte [si+04830h], 000h                ; 80 bc 30 48 00
     jne short 00f83h                          ; 75 40
     mov dx, strict word 0004ah                ; ba 4a 00
@@ -2147,8 +2147,8 @@
     imul bx, di                               ; 0f af df
     jmp short 00f95h                          ; eb 12
-    movzx bx, byte [bx+048b2h]                ; 0f b6 9f b2 48
+    movzx bx, byte [bx+048afh]                ; 0f b6 9f af 48
     sal bx, 006h                              ; c1 e3 06
     movzx ax, cl                              ; 0f b6 c1
-    mov bx, word [bx+048c9h]                  ; 8b 9f c9 48
+    mov bx, word [bx+048c6h]                  ; 8b 9f c6 48
     imul bx, ax                               ; 0f af d8
     mov dx, strict word 00063h                ; ba 63 00
@@ -2215,13 +2215,13 @@
     je near 01359h                            ; 0f 84 43 03
     movzx si, al                              ; 0f b6 f0
-    mov al, byte [si+048b2h]                  ; 8a 84 b2 48
+    mov al, byte [si+048afh]                  ; 8a 84 af 48
     mov byte [bp-00ch], al                    ; 88 46 f4
     movzx bx, al                              ; 0f b6 d8
     sal bx, 006h                              ; c1 e3 06
-    movzx ax, byte [bx+048c6h]                ; 0f b6 87 c6 48
+    movzx ax, byte [bx+048c3h]                ; 0f b6 87 c3 48
     mov word [bp-018h], ax                    ; 89 46 e8
-    movzx ax, byte [bx+048c7h]                ; 0f b6 87 c7 48
+    movzx ax, byte [bx+048c4h]                ; 0f b6 87 c4 48
     mov word [bp-016h], ax                    ; 89 46 ea
-    movzx ax, byte [bx+048c8h]                ; 0f b6 87 c8 48
+    movzx ax, byte [bx+048c5h]                ; 0f b6 87 c5 48
     mov word [bp-014h], ax                    ; 89 46 ec
     mov dx, 00087h                            ; ba 87 00
@@ -2239,5 +2239,5 @@
     mov bx, si                                ; 89 f3
     sal bx, 003h                              ; c1 e3 03
-    mov al, byte [bx+04838h]                  ; 8a 87 38 48
+    mov al, byte [bx+04835h]                  ; 8a 87 35 48
     mov dx, 003c6h                            ; ba c6 03
     out DX, AL                                ; ee
@@ -2245,5 +2245,5 @@
     mov dx, 003c8h                            ; ba c8 03
     out DX, AL                                ; ee
-    mov bl, byte [bx+04839h]                  ; 8a 9f 39 48
+    mov bl, byte [bx+04836h]                  ; 8a 9f 36 48
     cmp bl, 001h                              ; 80 fb 01
     jc short 0108bh                           ; 72 0e
@@ -2256,11 +2256,11 @@
     test bl, bl                               ; 84 db
     jne short 010a1h                          ; 75 12
-    mov di, 05046h                            ; bf 46 50
+    mov di, 05043h                            ; bf 43 50
     jmp short 010a1h                          ; eb 0d
-    mov di, 05106h                            ; bf 06 51
+    mov di, 05103h                            ; bf 03 51
     jmp short 010a1h                          ; eb 08
-    mov di, 051c6h                            ; bf c6 51
+    mov di, 051c3h                            ; bf c3 51
     jmp short 010a1h                          ; eb 03
-    mov di, 05286h                            ; bf 86 52
+    mov di, 05283h                            ; bf 83 52
     xor bx, bx                                ; 31 db
     jmp short 010b4h                          ; eb 0f
@@ -2275,6 +2275,6 @@
     movzx si, byte [bp-012h]                  ; 0f b6 76 ee
     sal si, 003h                              ; c1 e6 03
-    movzx si, byte [si+04839h]                ; 0f b6 b4 39 48
-    movzx dx, byte [si+048c2h]                ; 0f b6 94 c2 48
+    movzx si, byte [si+04836h]                ; 0f b6 b4 36 48
+    movzx dx, byte [si+048bfh]                ; 0f b6 94 bf 48
     cmp bx, dx                                ; 39 d3
     jnbe short 010a5h                         ; 77 dc
@@ -2308,5 +2308,5 @@
     sal si, 006h                              ; c1 e6 06
     add si, bx                                ; 01 de
-    mov al, byte [si+048e9h]                  ; 8a 84 e9 48
+    mov al, byte [si+048e6h]                  ; 8a 84 e6 48
     out DX, AL                                ; ee
     inc bx                                    ; 43
@@ -2332,5 +2332,5 @@
     sal si, 006h                              ; c1 e6 06
     add si, bx                                ; 01 de
-    mov al, byte [si+048cah]                  ; 8a 84 ca 48
+    mov al, byte [si+048c7h]                  ; 8a 84 c7 48
     mov dx, 003c5h                            ; ba c5 03
     out DX, AL                                ; ee
@@ -2347,5 +2347,5 @@
     sal si, 006h                              ; c1 e6 06
     add si, bx                                ; 01 de
-    mov al, byte [si+048fdh]                  ; 8a 84 fd 48
+    mov al, byte [si+048fah]                  ; 8a 84 fa 48
     mov dx, 003cfh                            ; ba cf 03
     out DX, AL                                ; ee
@@ -2354,5 +2354,5 @@
     movzx bx, byte [bp-012h]                  ; 0f b6 5e ee
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04834h], 001h                ; 80 bf 34 48 01
+    cmp byte [bx+04831h], 001h                ; 80 bf 31 48 01
     jne short 0117eh                          ; 75 05
     mov dx, 003b4h                            ; ba b4 03
@@ -2374,10 +2374,10 @@
     add di, bx                                ; 01 df
     lea dx, [si+001h]                         ; 8d 54 01
-    mov al, byte [di+048d0h]                  ; 8a 85 d0 48
+    mov al, byte [di+048cdh]                  ; 8a 85 cd 48
     out DX, AL                                ; ee
     inc bx                                    ; 43
     jmp short 0118bh                          ; eb e0
     mov bx, cx                                ; 89 cb
-    mov al, byte [bx+048cfh]                  ; 8a 87 cf 48
+    mov al, byte [bx+048cch]                  ; 8a 87 cc 48
     mov dx, 003c2h                            ; ba c2 03
     out DX, AL                                ; ee
@@ -2393,7 +2393,7 @@
     movzx bx, byte [bp-012h]                  ; 0f b6 5e ee
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     jne short 011e8h                          ; 75 13
-    mov es, [bx+04836h]                       ; 8e 87 36 48
+    mov es, [bx+04833h]                       ; 8e 87 33 48
     mov cx, 04000h                            ; b9 00 40
     mov ax, 00720h                            ; b8 20 07
@@ -2405,5 +2405,5 @@
     cmp byte [bp-00eh], 00dh                  ; 80 7e f2 0d
     jnc short 01200h                          ; 73 12
-    mov es, [bx+04836h]                       ; 8e 87 36 48
+    mov es, [bx+04833h]                       ; 8e 87 33 48
     mov cx, 04000h                            ; b9 00 40
     xor ax, ax                                ; 31 c0
@@ -2423,5 +2423,5 @@
     mov AL, strict byte 00fh                  ; b0 0f
     out DX, AL                                ; ee
-    mov es, [bx+04836h]                       ; 8e 87 36 48
+    mov es, [bx+04833h]                       ; 8e 87 33 48
     mov cx, 08000h                            ; b9 00 80
     xor ax, ax                                ; 31 c0
@@ -2442,5 +2442,5 @@
     movzx bx, byte [bp-00ch]                  ; 0f b6 5e f4
     sal bx, 006h                              ; c1 e3 06
-    mov bx, word [bx+048c9h]                  ; 8b 9f c9 48
+    mov bx, word [bx+048c6h]                  ; 8b 9f c6 48
     mov dx, strict word 0004ch                ; ba 4c 00
     mov ax, strict word 00040h                ; b8 40 00
@@ -2481,5 +2481,5 @@
     call 02f85h                               ; e8 ce 1c
     mov cx, ds                                ; 8c d9
-    mov bx, 05596h                            ; bb 96 55
+    mov bx, 05593h                            ; bb 93 55
     mov dx, 000a8h                            ; ba a8 00
     mov ax, strict word 00040h                ; b8 40 00
@@ -2495,5 +2495,5 @@
     movzx bx, byte [bp-012h]                  ; 0f b6 5e ee
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     jne short 012f2h                          ; 75 09
     mov dx, strict word 00007h                ; ba 07 00
@@ -2513,5 +2513,5 @@
     movzx bx, byte [bp-012h]                  ; 0f b6 5e ee
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     jne short 01329h                          ; 75 10
     xor bl, bl                                ; 30 db
@@ -2523,5 +2523,5 @@
     mov AH, strict byte 011h                  ; b4 11
     int 010h                                  ; cd 10
-    mov dx, 059b2h                            ; ba b2 59
+    mov dx, 059afh                            ; ba af 59
     mov ax, strict word 0001fh                ; b8 1f 00
     call 00a00h                               ; e8 ce f6
@@ -2533,11 +2533,11 @@
     cmp ax, strict word 00008h                ; 3d 08 00
     jne short 01359h                          ; 75 15
-    mov dx, 055b2h                            ; ba b2 55
+    mov dx, 055afh                            ; ba af 55
     mov ax, strict word 00043h                ; b8 43 00
     call 00a00h                               ; e8 b3 f6
     jmp short 01359h                          ; eb 0a
-    mov dx, 05db2h                            ; ba b2 5d
+    mov dx, 05dafh                            ; ba af 5d
     jmp short 01347h                          ; eb f3
-    mov dx, 06bb2h                            ; ba b2 6b
+    mov dx, 06bafh                            ; ba af 6b
     jmp short 01347h                          ; eb ee
     lea sp, [bp-00ah]                         ; 8d 66 f6
@@ -2849,5 +2849,5 @@
     mov ax, word [bp-016h]                    ; 8b 46 ea
     imul ax, cx                               ; 0f af c1
-    cmp byte [di+04833h], 000h                ; 80 bd 33 48 00
+    cmp byte [di+04830h], 000h                ; 80 bd 30 48 00
     jne near 017c7h                           ; 0f 85 9f 01
     mov dx, ax                                ; 89 c2
@@ -2872,5 +2872,5 @@
     sal dx, 008h                              ; c1 e2 08
     add dx, strict byte 00020h                ; 83 c2 20
-    mov es, [di+04836h]                       ; 8e 85 36 48
+    mov es, [di+04833h]                       ; 8e 85 33 48
     mov cx, ax                                ; 89 c1
     mov ax, dx                                ; 89 d0
@@ -2906,5 +2906,5 @@
     movzx si, byte [bp-00eh]                  ; 0f b6 76 f2
     sal si, 003h                              ; c1 e6 03
-    mov es, [si+04836h]                       ; 8e 84 36 48
+    mov es, [si+04833h]                       ; 8e 84 33 48
     cld                                       ; fc
     jcxz 016d3h                               ; e3 02
@@ -2920,5 +2920,5 @@
     movzx si, byte [bp-00eh]                  ; 0f b6 76 f2
     sal si, 003h                              ; c1 e6 03
-    mov ax, word [si+04836h]                  ; 8b 84 36 48
+    mov ax, word [si+04833h]                  ; 8b 84 33 48
     mov si, word [bp-014h]                    ; 8b 76 ec
     imul si, word [bp-016h]                   ; 0f af 76 ea
@@ -2964,5 +2964,5 @@
     movzx si, byte [bp-00eh]                  ; 0f b6 76 f2
     sal si, 003h                              ; c1 e6 03
-    mov es, [si+04836h]                       ; 8e 84 36 48
+    mov es, [si+04833h]                       ; 8e 84 33 48
     cld                                       ; fc
     jcxz 01774h                               ; e3 02
@@ -2979,5 +2979,5 @@
     movzx si, byte [bp-00eh]                  ; 0f b6 76 f2
     sal si, 003h                              ; c1 e6 03
-    mov ax, word [si+04836h]                  ; 8b 84 36 48
+    mov ax, word [si+04833h]                  ; 8b 84 33 48
     mov si, word [bp-014h]                    ; 8b 76 ec
     imul si, word [bp-016h]                   ; 0f af 76 ea
@@ -2999,9 +2999,9 @@
     dec word [bp-014h]                        ; ff 4e ec
     jmp near 01723h                           ; e9 5c ff
-    movzx bx, byte [si+048b2h]                ; 0f b6 9c b2 48
+    movzx bx, byte [si+048afh]                ; 0f b6 9c af 48
     sal bx, 006h                              ; c1 e3 06
-    mov dl, byte [bx+048c8h]                  ; 8a 97 c8 48
+    mov dl, byte [bx+048c5h]                  ; 8a 97 c5 48
     mov byte [bp-00ah], dl                    ; 88 56 f6
-    mov bl, byte [di+04834h]                  ; 8a 9d 34 48
+    mov bl, byte [di+04831h]                  ; 8a 9d 31 48
     cmp bl, 004h                              ; 80 fb 04
     je short 017eeh                           ; 74 0f
@@ -3036,5 +3036,5 @@
     movzx bx, byte [bp-00eh]                  ; 0f b6 5e f2
     sal bx, 003h                              ; c1 e3 03
-    mov es, [bx+04836h]                       ; 8e 87 36 48
+    mov es, [bx+04833h]                       ; 8e 87 33 48
     xor di, di                                ; 31 ff
     cld                                       ; fc
@@ -3118,5 +3118,5 @@
     dec word [bp-014h]                        ; ff 4e ec
     jmp short 018bch                          ; eb 8f
-    mov dl, byte [di+04835h]                  ; 8a 95 35 48
+    mov dl, byte [di+04832h]                  ; 8a 95 32 48
     cmp byte [bp-010h], 000h                  ; 80 7e f0 00
     jne short 01974h                          ; 75 3d
@@ -3136,5 +3136,5 @@
     imul cx, ax                               ; 0f af c8
     movzx ax, byte [bp-00ch]                  ; 0f b6 46 f4
-    mov es, [di+04836h]                       ; 8e 85 36 48
+    mov es, [di+04833h]                       ; 8e 85 33 48
     xor di, di                                ; 31 ff
     cld                                       ; fc
@@ -3238,9 +3238,9 @@
     cmp byte [bp+006h], 00eh                  ; 80 7e 06 0e
     jne short 01a91h                          ; 75 0a
-    mov di, 05db2h                            ; bf b2 5d
+    mov di, 05dafh                            ; bf af 5d
     jmp short 01a94h                          ; eb 08
-    mov di, 06bb2h                            ; bf b2 6b
+    mov di, 06bafh                            ; bf af 6b
     jmp short 01a94h                          ; eb 03
-    mov di, 055b2h                            ; bf b2 55
+    mov di, 055afh                            ; bf af 55
     movzx si, cl                              ; 0f b6 f1
     movzx bx, byte [bp+006h]                  ; 0f b6 5e 06
@@ -3329,5 +3329,5 @@
     sub sp, strict byte 00008h                ; 83 ec 08
     mov byte [bp-008h], dl                    ; 88 56 f8
-    mov si, 055b2h                            ; be b2 55
+    mov si, 055afh                            ; be af 55
     xor bh, bh                                ; 30 ff
     movzx di, byte [bp+006h]                  ; 0f b6 7e 06
@@ -3443,5 +3443,5 @@
     sub sp, strict byte 00008h                ; 83 ec 08
     mov byte [bp-006h], dl                    ; 88 56 fa
-    mov di, 055b2h                            ; bf b2 55
+    mov di, 055afh                            ; bf af 55
     movzx dx, cl                              ; 0f b6 d1
     movzx cx, byte [bp+004h]                  ; 0f b6 4e 04
@@ -3538,5 +3538,5 @@
     mov di, bx                                ; 89 df
     sal di, 003h                              ; c1 e7 03
-    cmp byte [di+04833h], 000h                ; 80 bd 33 48 00
+    cmp byte [di+04830h], 000h                ; 80 bd 30 48 00
     jne short 01dc3h                          ; 75 47
     mov bx, word [bp-018h]                    ; 8b 5e e8
@@ -3559,5 +3559,5 @@
     mov word [bp-01ah], ax                    ; 89 46 e6
     mov ax, word [bp-01ah]                    ; 8b 46 e6
-    mov es, [di+04836h]                       ; 8e 85 36 48
+    mov es, [di+04833h]                       ; 8e 85 33 48
     mov cx, si                                ; 89 f1
     mov di, dx                                ; 89 d7
@@ -3566,9 +3566,9 @@
     rep stosw                                 ; f3 ab
     jmp near 01e69h                           ; e9 a6 00
-    movzx bx, byte [bx+048b2h]                ; 0f b6 9f b2 48
+    movzx bx, byte [bx+048afh]                ; 0f b6 9f af 48
     sal bx, 006h                              ; c1 e3 06
-    mov al, byte [bx+048c8h]                  ; 8a 87 c8 48
+    mov al, byte [bx+048c5h]                  ; 8a 87 c5 48
     mov byte [bp-008h], al                    ; 88 46 f8
-    mov al, byte [di+04835h]                  ; 8a 85 35 48
+    mov al, byte [di+04832h]                  ; 8a 85 32 48
     mov byte [bp-014h], al                    ; 88 46 ec
     dec si                                    ; 4e
@@ -3580,5 +3580,5 @@
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     sal bx, 003h                              ; c1 e3 03
-    mov al, byte [bx+04834h]                  ; 8a 87 34 48
+    mov al, byte [bx+04831h]                  ; 8a 87 31 48
     cmp AL, strict byte 003h                  ; 3c 03
     jc short 01e07h                           ; 72 0c
@@ -3668,5 +3668,5 @@
     mov bx, di                                ; 89 fb
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     jne short 01f2eh                          ; 75 4a
     mov dx, word [bp-018h]                    ; 8b 56 e8
@@ -3690,5 +3690,5 @@
     movzx bx, byte [bp-00eh]                  ; 0f b6 5e f2
     sal bx, 003h                              ; c1 e3 03
-    mov di, word [bx+04836h]                  ; 8b bf 36 48
+    mov di, word [bx+04833h]                  ; 8b bf 33 48
     mov bx, ax                                ; 89 c3
     mov dx, cx                                ; 89 ca
@@ -3698,9 +3698,9 @@
     inc cx                                    ; 41
     jmp short 01f0ah                          ; eb dc
-    movzx di, byte [di+048b2h]                ; 0f b6 bd b2 48
+    movzx di, byte [di+048afh]                ; 0f b6 bd af 48
     sal di, 006h                              ; c1 e7 06
-    mov al, byte [di+048c8h]                  ; 8a 85 c8 48
+    mov al, byte [di+048c5h]                  ; 8a 85 c5 48
     mov byte [bp-00ah], al                    ; 88 46 f6
-    mov al, byte [bx+04835h]                  ; 8a 87 35 48
+    mov al, byte [bx+04832h]                  ; 8a 87 32 48
     mov byte [bp-008h], al                    ; 88 46 f8
     dec si                                    ; 4e
@@ -3712,5 +3712,5 @@
     movzx bx, byte [bp-00eh]                  ; 0f b6 5e f2
     sal bx, 003h                              ; c1 e3 03
-    mov bl, byte [bx+04834h]                  ; 8a 9f 34 48
+    mov bl, byte [bx+04831h]                  ; 8a 9f 31 48
     cmp bl, 003h                              ; 80 fb 03
     jc short 01f75h                           ; 72 0e
@@ -3775,7 +3775,7 @@
     movzx bx, al                              ; 0f b6 d8
     sal bx, 003h                              ; c1 e3 03
-    cmp byte [bx+04833h], 000h                ; 80 bf 33 48 00
+    cmp byte [bx+04830h], 000h                ; 80 bf 30 48 00
     je near 02121h                            ; 0f 84 0f 01
-    mov al, byte [bx+04834h]                  ; 8a 87 34 48
+    mov al, byte [bx+04831h]                  ; 8a 87 31 48
     cmp AL, strict byte 003h                  ; 3c 03
     jc short 02029h                           ; 72 0f
@@ -3831,5 +3831,5 @@
     shr ax, 1                                 ; d1 e8
     imul ax, ax, strict byte 00050h           ; 6b c0 50
-    cmp byte [bx+04835h], 002h                ; 80 bf 35 48 02
+    cmp byte [bx+04832h], 002h                ; 80 bf 32 48 02
     jne short 020abh                          ; 75 08
     mov bx, word [bp-00ah]                    ; 8b 5e f6
@@ -3849,5 +3849,5 @@
     movzx si, byte [bp-004h]                  ; 0f b6 76 fc
     sal si, 003h                              ; c1 e6 03
-    cmp byte [si+04835h], 002h                ; 80 bc 35 48 02
+    cmp byte [si+04832h], 002h                ; 80 bc 32 48 02
     jne short 020f1h                          ; 75 19
     mov al, byte [bp-00ah]                    ; 8a 46 f6
@@ -3989,5 +3989,5 @@
     mov si, bx                                ; 89 de
     sal si, 003h                              ; c1 e6 03
-    cmp byte [si+04833h], 000h                ; 80 bc 33 48 00
+    cmp byte [si+04830h], 000h                ; 80 bc 30 48 00
     jne short 02293h                          ; 75 4b
     mov ax, word [bp-012h]                    ; 8b 46 ee
@@ -4005,5 +4005,5 @@
     add cx, dx                                ; 01 d1
     movzx bx, byte [bp-00ch]                  ; 0f b6 5e f4
-    mov ax, word [si+04836h]                  ; 8b 84 36 48
+    mov ax, word [si+04833h]                  ; 8b 84 33 48
     mov dx, cx                                ; 89 ca
     call 02f85h                               ; e8 0b 0d
@@ -4013,12 +4013,12 @@
     mov dx, cx                                ; 89 ca
     inc dx                                    ; 42
-    mov ax, word [si+04836h]                  ; 8b 84 36 48
+    mov ax, word [si+04833h]                  ; 8b 84 33 48
     call 02f85h                               ; e8 f5 0c
     jmp near 02311h                           ; e9 7e 00
-    movzx bx, byte [bx+048b2h]                ; 0f b6 9f b2 48
+    movzx bx, byte [bx+048afh]                ; 0f b6 9f af 48
     sal bx, 006h                              ; c1 e3 06
-    mov ah, byte [bx+048c8h]                  ; 8a a7 c8 48
-    mov dl, byte [si+04835h]                  ; 8a 94 35 48
-    mov al, byte [si+04834h]                  ; 8a 84 34 48
+    mov ah, byte [bx+048c5h]                  ; 8a a7 c5 48
+    mov dl, byte [si+04832h]                  ; 8a 94 32 48
+    mov al, byte [si+04831h]                  ; 8a 84 31 48
     cmp AL, strict byte 003h                  ; 3c 03
     jc short 022b7h                           ; 72 0c
@@ -4076,5 +4076,5 @@
     db  0feh, 0cfh
     ; dec bh                                    ; fe cf
-    cmp byte [si+04833h], 000h                ; 80 bc 33 48 00
+    cmp byte [si+04830h], 000h                ; 80 bc 30 48 00
     jne short 0238dh                          ; 75 46
     mov ax, word [bp-012h]                    ; 8b 46 ee
@@ -4093,5 +4093,5 @@
     add dx, cx                                ; 01 ca
     inc dx                                    ; 42
-    mov ax, word [si+04836h]                  ; 8b 84 36 48
+    mov ax, word [si+04833h]                  ; 8b 84 33 48
     call 02f77h                               ; e8 02 0c
     push strict byte 00001h                   ; 6a 01
@@ -4368,5 +4368,5 @@
     sal di, 005h                              ; c1 e7 05
     add di, word [bp-00ch]                    ; 03 7e f4
-    add si, 05db2h                            ; 81 c6 b2 5d
+    add si, 05dafh                            ; 81 c6 af 5d
     mov cx, strict word 0000eh                ; b9 0e 00
     mov dx, 0c000h                            ; ba 00 c0
@@ -4424,5 +4424,5 @@
     sal di, 005h                              ; c1 e7 05
     add di, word [bp-00ch]                    ; 03 7e f4
-    add si, 055b2h                            ; 81 c6 b2 55
+    add si, 055afh                            ; 81 c6 af 55
     mov cx, strict word 00008h                ; b9 08 00
     mov dx, 0c000h                            ; ba 00 c0
@@ -4480,5 +4480,5 @@
     sal di, 005h                              ; c1 e7 05
     add di, word [bp-00ch]                    ; 03 7e f4
-    add si, 06bb2h                            ; 81 c6 b2 6b
+    add si, 06bafh                            ; 81 c6 af 6b
     mov cx, strict word 00010h                ; b9 10 00
     mov dx, 0c000h                            ; ba 00 c0
@@ -4614,5 +4614,5 @@
     push bx                                   ; 53
     mov cx, ds                                ; 8c d9
-    mov bx, 05586h                            ; bb 86 55
+    mov bx, 05583h                            ; bb 83 55
     mov dx, word [bp-00ah]                    ; 8b 56 f6
     mov ax, word [bp-008h]                    ; 8b 46 f8
@@ -5514,5 +5514,5 @@
     movzx bx, al                              ; 0f b6 d8
     sal bx, 003h                              ; c1 e3 03
-    cmp dl, byte [bx+04832h]                  ; 3a 97 32 48
+    cmp dl, byte [bx+0482fh]                  ; 3a 97 2f 48
     jne short 02f5dh                          ; 75 ee
     mov ah, al                                ; 88 c4
@@ -6215,5 +6215,5 @@
     ; mov dword [es:bx], strict dword 041534556h ; 66 26 c7 07 56 45 53 41
     mov word [es:bx+004h], 00200h             ; 26 c7 47 04 00 02
-    mov word [es:bx+006h], 07e24h             ; 26 c7 47 06 24 7e
+    mov word [es:bx+006h], 07e20h             ; 26 c7 47 06 20 7e
     mov [es:bx+008h], ds                      ; 26 8c 5f 08
     db  066h, 026h, 0c7h, 047h, 00ah, 001h, 000h, 000h, 000h
@@ -6231,9 +6231,9 @@
     je short 03602h                           ; 74 24
     mov word [es:bx+014h], strict word 00003h ; 26 c7 47 14 03 00
-    mov word [es:bx+016h], 07e39h             ; 26 c7 47 16 39 7e
+    mov word [es:bx+016h], 07e35h             ; 26 c7 47 16 35 7e
     mov [es:bx+018h], ds                      ; 26 8c 5f 18
-    mov word [es:bx+01ah], 07e4ch             ; 26 c7 47 1a 4c 7e
+    mov word [es:bx+01ah], 07e48h             ; 26 c7 47 1a 48 7e
     mov [es:bx+01ch], ds                      ; 26 8c 5f 1c
-    mov word [es:bx+01eh], 07e6dh             ; 26 c7 47 1e 6d 7e
+    mov word [es:bx+01eh], 07e69h             ; 26 c7 47 1e 69 7e
     mov [es:bx+020h], ds                      ; 26 8c 5f 20
     mov dx, cx                                ; 89 ca
@@ -6780,8 +6780,8 @@
   times 235 db 0
 
-section _DATA progbits vstart=0x4800 align=1 ; size=0x36e8 class=DATA group=DGROUP
-_msg_vga_init:                               ; 0xc4800 LB 0x32
-    db  'Oracle VM VirtualBox Version 4.3.0_RC1 VGA BIOS', 00dh, 00ah, 000h
-_vga_modes:                                  ; 0xc4832 LB 0x80
+section _DATA progbits vstart=0x4800 align=1 ; size=0x36e1 class=DATA group=DGROUP
+_msg_vga_init:                               ; 0xc4800 LB 0x2f
+    db  'Oracle VM VirtualBox Version 4.3.53 VGA BIOS', 00dh, 00ah, 000h
+_vga_modes:                                  ; 0xc482f LB 0x80
     db  000h, 000h, 000h, 004h, 000h, 0b8h, 0ffh, 002h, 001h, 000h, 000h, 004h, 000h, 0b8h, 0ffh, 002h
     db  002h, 000h, 000h, 004h, 000h, 0b8h, 0ffh, 002h, 003h, 000h, 000h, 004h, 000h, 0b8h, 0ffh, 002h
@@ -6792,9 +6792,9 @@
     db  011h, 001h, 003h, 001h, 000h, 0a0h, 0ffh, 002h, 012h, 001h, 004h, 004h, 000h, 0a0h, 0ffh, 002h
     db  013h, 001h, 005h, 008h, 000h, 0a0h, 0ffh, 003h, 06ah, 001h, 004h, 004h, 000h, 0a0h, 0ffh, 002h
-_line_to_vpti:                               ; 0xc48b2 LB 0x10
+_line_to_vpti:                               ; 0xc48af LB 0x10
     db  017h, 017h, 018h, 018h, 004h, 005h, 006h, 007h, 00dh, 00eh, 011h, 012h, 01ah, 01bh, 01ch, 01dh
-_dac_regs:                                   ; 0xc48c2 LB 0x4
+_dac_regs:                                   ; 0xc48bf LB 0x4
     dd  0ff3f3f3fh
-_video_param_table:                          ; 0xc48c6 LB 0x780
+_video_param_table:                          ; 0xc48c3 LB 0x780
     db  000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h
     db  000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h, 000h
